package cn.iocoder.yudao.module.asset.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {

    // ========== 固定资产信息 1_051_001_001 ==========
    ErrorCode INFO_NOT_EXISTS = new ErrorCode(1_051_001_001, "固定资产信息不存在");
    ErrorCode OCCUPIED_ASSET_NOT_ALLOWED_DELETE = new ErrorCode(1_051_001_002, "该资产已被占用，不允许删除");
    ErrorCode ASSET_INFO_NOT_AVAILABLE = new ErrorCode(1_051_001_003, "该资产不是可用状态，无法领用");
    ErrorCode ASSET_INFO_NOT_OCCUPIED = new ErrorCode(1_051_001_004, "该资产不是占用状态，无需归还");

    // ========== 固定资产领用信息 1_051_002_001 ==========
    ErrorCode RECEIVE_INFO_NOT_EXISTS = new ErrorCode(1_051_002_001, "固定资产领用信息不存在");
    ErrorCode ASSET_RECEIVE_EMPLOYEE_NOT_NULL = new ErrorCode(1_051_002_002, "领用人不能为空");
    ErrorCode ASSET_RECEIVE_DATE_NOT_BLANK = new ErrorCode(1_051_002_003, "领用日期不能为空");
    ErrorCode ASSET_RECEIVE_REASON_NOT_BLANK = new ErrorCode(1_051_002_004, "领用原因不能为空");
    ErrorCode ASSET_RETURN_DATE_NOT_BLANK = new ErrorCode(1_051_002_005, "归还日期不能为空");
    ErrorCode ASSET_RETURN_REASON_NOT_BLANK = new ErrorCode(1_051_002_006, "归还原因不能为空");
}
